﻿Imports System.Collections.ObjectModel
Imports MindFusion.Charting
Imports MindFusion.Charting.Components
Imports MindFusion.Charting.WinForms
Imports MindFusion.Drawing

Public Class MainForm
	Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		' set up grid panel
		Dim grid = New GridPanel()
		grid.Columns.Add(New GridColumn())
		For i As Integer = 0 To 2
			grid.Rows.Add(New GridRow())
		Next

		' create two plots to it
		Dim plot1 = New Plot2D()
		Dim plot2 = New Plot2D()

		plot1.GridColumn = 1
		plot1.GridRow = 0

		plot2.GridColumn = 1
		plot2.GridRow = 3

		' assigning a shared Axis to plots makes them show same data
		' range and scroll together when the user pans any plot
		Dim commonAxis = New Axis()
		commonAxis.MinValue = 0
		commonAxis.Interval = 0.5
		commonAxis.Title = ""

		plot1.XAxis = commonAxis
		plot2.XAxis = commonAxis

		' use second axis renderer for shared axis just to show ticks from other side
		Dim commonAxisRenderer1 = New XAxisRenderer(commonAxis)
		commonAxisRenderer1.GridColumn = 1
		commonAxisRenderer1.GridRow = 1

		Dim commonAxisRenderer2 = New XAxisRenderer(commonAxis)
		commonAxisRenderer2.GridColumn = 1
		commonAxisRenderer2.GridRow = 2
		commonAxisRenderer2.PlotBottomSide = False
		commonAxisRenderer2.ShowCoordinates = False

		' create Y axes
		Dim p1YAxis = New Axis()
		Dim p2YAxis = New Axis()

		p1YAxis.MinValue = 0
		p1YAxis.Interval = 5
		p1YAxis.Title = "BarChart"
		plot1.YAxis = p1YAxis

		p2YAxis.MinValue = 0
		p2YAxis.Interval = 10
		p2YAxis.Title = "LineChart"
		plot2.YAxis = p2YAxis

		Dim p1Renderer = New YAxisRenderer(p1YAxis)
		p1Renderer.GridColumn = 0
		p1Renderer.GridRow = 0
		p1Renderer.ShowTicks = True

		Dim p2Renderer = New YAxisRenderer(p2YAxis)
		p2Renderer.GridColumn = 0
		p2Renderer.GridRow = 3

		' show sample bar and line graphics in different plots
		Dim barRenderer = New BarRenderer(New ObservableCollection(Of Series)() From { _
  New Series2D(New List(Of Double)() From {1, 2, 3, 4, 5, 6, 7
   }, New List(Of Double)() From {20.3, 12, 73.23, 21.2, 72, 66, 42.239}, Nothing), _
   New Series2D(New List(Of Double)() From {1, 2, 3, 4, 5, 6, 7},
	 New List(Of Double)() From {22.3, 15, 43.23, 11.2, 32, 12, 62.239}, Nothing)})

		Dim lineRenderer = New LineRenderer(New ObservableCollection(Of Series)() From { _
		 New Series2D(New List(Of Double)() From {1, 2, 3, 4, 5, 6, 7 _
		 }, New List(Of Double)() From {10.3, 22, 33.23, 41.2, 12, 26, 42.239}, Nothing), _
		 New Series2D(New List(Of Double)() From {1, 2, 3, 4, 5, 6, 7}, New List(Of Double)() From {42.3, 45, 43.23, 21.2, 12, 22, 22.239}, Nothing) _
		})

		plot1.SeriesStyle = New PerSeriesStyle() With {.Fills = New List(Of Brush)() From {
			New LinearGradientBrush(Color.FromArgb(224, 233, 233), Color.FromArgb(0, 0, 99)),
			New SolidBrush(Color.FromArgb(206, 0, 0))
		}
	}

		plot1.GridType = GridType.Horizontal
		plot1.GridLineStyle = System.Drawing.Drawing2D.DashStyle.Dash
		plot1.Background = New SolidBrush(Color.White)

		plot2.GridType = GridType.Horizontal
		plot2.GridLineStyle = System.Drawing.Drawing2D.DashStyle.Dash
		plot2.Background = New SolidBrush(Color.White)

		plot2.SeriesStyle = New PerSeriesStyle() With {.Strokes = New List(Of Brush)() From {
		New SolidBrush(Color.FromArgb(206, 0, 0)),
		New SolidBrush(Color.FromArgb(102, 154, 204))
 },
		.StrokeThicknesses = New List(Of Double)() From {3.0}
}

		plot1.SeriesRenderers.Add(barRenderer)
		plot2.SeriesRenderers.Add(lineRenderer)

		' add the plots and axes to the dashboard
		grid.Children.Add(plot1)
		grid.Children.Add(plot2)
		grid.Children.Add(commonAxisRenderer1)
		grid.Children.Add(commonAxisRenderer2)
		grid.Children.Add(p1Renderer)
		grid.Children.Add(p2Renderer)
		dashboard.LayoutPanel.Children.Add(grid)

	End Sub
End Class
